# Bank listing

Currently, the ACH Bank transfer facility is available to US shoppers only. A US shopper interested in making a bank transfer will be required to link his bank account through Plaid. Rocketfuel uses Dwolla for all the bank transfers.

The process of linking a bank account is described here.

If a shopper has already linked a bank account(s), this API returns the list of the connected bank account.

The below screenshot displays a way of showing a list of connected bank account(s).&#x20;

![](/files/FXqMvI5cyFHbOqqYyYLF)

<mark style="color:blue;">`GET`</mark> `/banks/my`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + Shopper access token |
| Content-Type                                    | String | application/jsom                |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
  "ok": true,
  "result": {
    "banks": [
      {
        "name": "dwolla",
        "value": "dwolla",
        "stockId": "4cb09b90-9765-47a2-8a28-f91c7c0694d8",
        "limit": "0",
        "accounts": [
          {
            "accountName": "Plaid Saving",
            "bankName": "Chase",
            "mask": "1111",
            "id": "BQzE1gXJvgSozwvyo3qnfDgZeGnnZMiwXwV9k",
            "customerUrl": "https://api-sandbox.dwolla.com/customers/0f7bef60-fc98-421b-85fd-6d340955bdf7",
            "customerId": "0f7bef60-fc98-421b-85fd-6d340955bdf7",
            "fundingSource": "https://api-sandbox.dwolla.com/funding-sources/be768c4c-7c41-4676-8499-6489088c3283",
            "isPrimary": null,
            "currency": "USD",
            "isBalanceInfo": false,
            "balanceInfo": null,
            "status": 2
          }
        ],
        "default": false,
        "priority": 1,
        "connected": true
      }
    ],
    "defaultCurrency": "USD"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/bank-payment/bank-listing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
